GAC(1)

NAME
GAC - The GAP Compiler

SYNOPSIS

   gac [-c|-d] [-o <output>] {-f<option>} <input>...

DESCRIPTION
GAC compiles the input files. Input files must be GAP source code (suffix '.g' or '.gap'), C source code (suffix '.c'), or compiled code files (suffix '.o').

-c  Compiles the input files to statically loadable object files, which must be linked together to a new kernel.

-d  Compiles the input files to dynamically loadable object files, which can be loaded by a kernel at runtime.

-C  Only compiles the input files to C code, which will require compilation and linking to be usable.

-r  Statically compiled files will be assumed to be given by pathnames relative to the GAP root, and will be compiled for automatic loading when files are sought relative to the GAP root.

-o <output>
    Name the output file <output>.

-save-temps
    Tells 'gac' to not delete any intermediate files

-p <option>
    Pass the option <option> to the C compiler.

-P <option>
    Pass the option <option> to the C linker.

-L <option>
    Tells 'gac' to pass the option <option> to the C linker when linking dynamic modules. Contrary to -P the option is appended at the end of the link command after the .o files to link.

SEE ALSO
gap(1)

You can read the complete manual in /usr/share/gap/doc or you can use the online help system. Type ?help inside GAP to access it.

AUTHORS
       The GAP Group <https://www.gap-system.org>

COPYRIGHT
     Copyright (1988--2024) by its authors,

     GAP is free software; you can redistribute it and/or modify it under the terms of the GNU General Public License as published by the Free Software Foundation; either version 2 of the License, or (at your option) any later version.